import {
  Component,
  createEffect,
  createResource,
  createSignal,
} from 'solid-js';

import OlMap from 'ol/Map';

import dispatch from '../../workers/dispatcher-main';
// import Gpx from './Gpx';

interface Props {
  map: OlMap | null;
}

export const AllGpxes: Component<Props> = ({ map }) => {
  const [allGpxes] = createResource(
    async () =>
      await dispatch({
        action: 'getAllGpxes',
        params: {},
      })
  );

  createEffect(() => {
    console.log({ caller: 'AllGpxes', allGpxes: allGpxes() });
  });

  return <></>;
};

export default AllGpxes;
